<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionLockVehicle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d49/a07398.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionLockVehicle Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionLockVehicle:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d49/a07398.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0aecbbba3851233c986a18416b77887b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a0aecbbba3851233c986a18416b77887b">ExpansionActionLockVehicle</a> ()</td></tr>
<tr class="memdesc:a0aecbbba3851233c986a18416b77887b"><td class="mdescLeft">&#160;</td><td class="mdescRight">DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION.  <a href="../../d6/d49/a07398.html#a0aecbbba3851233c986a18416b77887b">More...</a><br /></td></tr>
<tr class="separator:a0aecbbba3851233c986a18416b77887b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46679bab4790e9c30835a0214f64433a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a46679bab4790e9c30835a0214f64433a">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a46679bab4790e9c30835a0214f64433a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1562ac5ecf3559744f2f947e98a956a6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a1562ac5ecf3559744f2f947e98a956a6">GetText</a> ()</td></tr>
<tr class="separator:a1562ac5ecf3559744f2f947e98a956a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af02e7c90b5a97afff273906dd96839cc"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#af02e7c90b5a97afff273906dd96839cc">ActionCondition</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item)</td></tr>
<tr class="separator:af02e7c90b5a97afff273906dd96839cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34e8da55653154f29069a432b39e36ee"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a34e8da55653154f29069a432b39e36ee">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a34e8da55653154f29069a432b39e36ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8617e27b0dc627fbcecb4fe5ed8a2979"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a8617e27b0dc627fbcecb4fe5ed8a2979">CanBeUsedInVehicle</a> ()</td></tr>
<tr class="separator:a8617e27b0dc627fbcecb4fe5ed8a2979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40398dd7927980099154d1b424c87007"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d49/a07398.html#a40398dd7927980099154d1b424c87007">CanBeUsedInRestrain</a> ()</td></tr>
<tr class="separator:a40398dd7927980099154d1b424c87007"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dc/d05/a02855.html">ExpansionActionLockVehicle.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00013">13</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0aecbbba3851233c986a18416b77887b" name="a0aecbbba3851233c986a18416b77887b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aecbbba3851233c986a18416b77887b">&#9670;&#160;</a></span>ExpansionActionLockVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionLockVehicle::ExpansionActionLockVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00017">17</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af02e7c90b5a97afff273906dd96839cc" name="af02e7c90b5a97afff273906dd96839cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af02e7c90b5a97afff273906dd96839cc">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionLockVehicle::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >The intention is for vehicles to only be lockable if player has its key (or admin key) in hand</p>
<p >Is the player inside a vehicle ?</p>
<p >Is this a "car" ?</p>

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00033">33</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<a id="a40398dd7927980099154d1b424c87007" name="a40398dd7927980099154d1b424c87007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40398dd7927980099154d1b424c87007">&#9670;&#160;</a></span>CanBeUsedInRestrain()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionLockVehicle::CanBeUsedInRestrain </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00109">109</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<a id="a8617e27b0dc627fbcecb4fe5ed8a2979" name="a8617e27b0dc627fbcecb4fe5ed8a2979"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8617e27b0dc627fbcecb4fe5ed8a2979">&#9670;&#160;</a></span>CanBeUsedInVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionLockVehicle::CanBeUsedInVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00104">104</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<a id="a46679bab4790e9c30835a0214f64433a" name="a46679bab4790e9c30835a0214f64433a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46679bab4790e9c30835a0214f64433a">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionLockVehicle::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00022">22</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<a id="a1562ac5ecf3559744f2f947e98a956a6" name="a1562ac5ecf3559744f2f947e98a956a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1562ac5ecf3559744f2f947e98a956a6">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionLockVehicle::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00028">28</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<a id="a34e8da55653154f29069a432b39e36ee" name="a34e8da55653154f29069a432b39e36ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34e8da55653154f29069a432b39e36ee">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionLockVehicle::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d05/a02855_source.html#l00077">77</a> of file <a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/<a class="el" href="../../dc/d05/a02855_source.html">expansionactionlockvehicle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d49/a07398.html">ExpansionActionLockVehicle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
